## mangonel 1.0

=== CMakeLists.txt ===
project(Mangonel)
cmake_minimum_required(VERSION 2.6)
find_package(Qt4 REQUIRED)
find_package(KDE4 4.3 REQUIRED)
include(KDE4Defaults)

include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

set(Mangonel_SRCS
  Mangonel.cpp Label.cpp
  Config.cpp
  main.cpp
  providers/Applications.cpp
  providers/Paths.cpp
  providers/Shell.cpp
  providers/Calculator.cpp
  providers/Units.cpp
)

kde4_add_executable(mangonel ${Mangonel_SRCS})

target_link_libraries(mangonel
  ${KDE4_KDECORE_LIBS}
  ${KDE4_PLASMA_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_KUNITCONVERSION_LIBS}
)

install(TARGETS mangonel ${INSTALL_TARGETS_DEFAULT_ARGS})

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(pt)
add_subdirectory(fi)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(et)
add_subdirectory(sv)
add_subdirectory(sk)
add_subdirectory(nl)
add_subdirectory(sl)
add_subdirectory(cs)
add_subdirectory(es)
add_subdirectory(ro)
add_subdirectory(gl)
add_subdirectory(el)
add_subdirectory(uk)
add_subdirectory(ga)
add_subdirectory(zh_TW)

=== debian/changelog ===
mangonel (1.0-0ubuntu1~ubuntu12.10.1) quantal-backports; urgency=low

  * No-change backport to quantal (LP: #1121985)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Feb 2013 09:46:02 -0500

mangonel (1.0-0ubuntu1) raring; urgency=low

  * Initial git snapshot

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 30 Jan 2013 22:25:59 +0100

## mangonel 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,13 @@
   ${KDE4_PLASMA_LIBS}
   ${KDE4_KIO_LIBS}
   ${KDE4_KUNITCONVERSION_LIBS}
+  ${KDE4_KNOTIFYCONFIG_LIBRARY}
 )
 
 install(TARGETS mangonel ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(FILES mangonel.notifyrc DESTINATION ${DATA_INSTALL_DIR}/mangonel)
+install(PROGRAMS mangonel.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
+
 
 include(MacroOptionalAddSubdirectory)
 macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -11,21 +11,31 @@
 if (NOT GETTEXT_MSGFMT_EXECUTABLE)
 MESSAGE(FATAL_ERROR "Please install msgmerge binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
-add_subdirectory(pt)
-add_subdirectory(fi)
-add_subdirectory(da)
-add_subdirectory(de)
-add_subdirectory(pt_BR)
-add_subdirectory(et)
 add_subdirectory(sv)
 add_subdirectory(sk)
-add_subdirectory(nl)
-add_subdirectory(sl)
-add_subdirectory(cs)
 add_subdirectory(es)
-add_subdirectory(ro)
-add_subdirectory(gl)
+add_subdirectory(fr)
+add_subdirectory(kk)
+add_subdirectory(ga)
 add_subdirectory(el)
 add_subdirectory(uk)
-add_subdirectory(ga)
+add_subdirectory(pt_BR)
+add_subdirectory(pt)
+add_subdirectory(hu)
 add_subdirectory(zh_TW)
+add_subdirectory(pl)
+add_subdirectory(ro)
+add_subdirectory(bs)
+add_subdirectory(sl)
+add_subdirectory(nb)
+add_subdirectory(fi)
+add_subdirectory(et)
+add_subdirectory(mr)
+add_subdirectory(nl)
+add_subdirectory(de)
+add_subdirectory(zh_CN)
+add_subdirectory(ug)
+add_subdirectory(gl)
+add_subdirectory(ca)
+add_subdirectory(da)
+add_subdirectory(cs)

=== debian/changelog ===
mangonel (1.1-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 02 Nov 2013 22:43:59 +0100

=== debian/control ===
Source: mangonel
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev
Standards-Version: 3.9.4

Package: mangonel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple application launcher for the Plasma workspace
 A launcher which analyses text-based queries to launch items, such
 as programs and folders.
